/*
# exp_filt.c
# Copyright (C) 2023 Joseph Rosevear, San Diego CA, USA.

# This file is part of a distribution SAM.

# SAM is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 3 of the License, or (at your
# option) any later version.

# SAM is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.

# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.



# Joseph Rosevear I wrote this source file.*/



#include <stdio.h>

int main() {

   int c, instring, index;
   
   
   index = 0;   
   instring = 0;
   while ((c = getchar()) != EOF ) {
   
      index++;
      if (index == 1 && !instring) printf("export ");
      
      if (c == '\"') {
         if (!instring)
            instring=1;
         else
            instring=0;
      }
      
      if (index >= 11) putchar(c);
      
      if (c == '\n' && !instring) index =0;
   }
   
   if (instring) {
      fprintf(stderr, "Error.  Unbalanced use of \"");
      return (1);
   }
   
   return(0);
}
